<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddPNRToQueue StructType
 * @package Dg
 * @subpackage Structs
 */
class DgAddPNRToQueue extends AbstractStructBase
{
    /**
     * The QueueRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgQueueRQ
     */
    public $QueueRQ;
    /**
     * Constructor method for AddPNRToQueue
     * @uses DgAddPNRToQueue::setQueueRQ()
     * @param \dgsoft\StructType\DgQueueRQ $queueRQ
     */
    public function __construct(\dgsoft\StructType\DgQueueRQ $queueRQ = null)
    {
        $this
            ->setQueueRQ($queueRQ);
    }
    /**
     * Get QueueRQ value
     * @return \dgsoft\StructType\DgQueueRQ|null
     */
    public function getQueueRQ()
    {
        return $this->QueueRQ;
    }
    /**
     * Set QueueRQ value
     * @param \dgsoft\StructType\DgQueueRQ $queueRQ
     * @return \dgsoft\StructType\DgAddPNRToQueue
     */
    public function setQueueRQ(\dgsoft\StructType\DgQueueRQ $queueRQ = null)
    {
        $this->QueueRQ = $queueRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgAddPNRToQueue
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
